> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/dev-api/solutionmodel/titleposition.md).

# TITLEPOSITION

## Constants Summarized

| Type                                                     | Name                           | Summary                                         |
| -------------------------------------------------------- | ------------------------------ | ----------------------------------------------- |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [ABOVE\_BOTTOM](#above_bottom) | Title in the middle of the border's bottom line |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [ABOVE\_TOP](#above_top)       | Title above the border's top line               |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [BELOW\_BOTTOM](#below_bottom) | Title below the border's bottom line            |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [BELOW\_TOP](#below_top)       | Title above the border's bottom line            |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [DEFAULT](#default)            | Default vertical orientation for the title text |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [TOP](#top)                    | Title in the middle of the border's top line    |

## Constants Detailed

### ABOVE\_BOTTOM

Title in the middle of the border's bottom line

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var form = solutionModel.getForm("someForm");
form.borderType = solutionModel.createTitledBorder('Test',null,'#ff0000',SM_TITLEJUSTIFICATION.DEFAULT,SM_TITLEPOSITION.ABOVE_BOTTOM);
```

### ABOVE\_TOP

Title above the border's top line

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var form = solutionModel.getForm("someForm");
form.borderType = solutionModel.createTitledBorder('Test',null,'#ff0000',SM_TITLEJUSTIFICATION.DEFAULT,SM_TITLEPOSITION.ABOVE_TOP);
```

### BELOW\_BOTTOM

Title below the border's bottom line

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var form = solutionModel.getForm("someForm");
form.borderType = solutionModel.createTitledBorder('Test',null,'#ff0000',SM_TITLEJUSTIFICATION.DEFAULT,SM_TITLEPOSITION.BELOW_BOTTOM);
```

### BELOW\_TOP

Title above the border's bottom line

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var form = solutionModel.getForm("someForm");
form.borderType = solutionModel.createTitledBorder('Test',null,'#ff0000',SM_TITLEJUSTIFICATION.DEFAULT,SM_TITLEPOSITION.BELOW_TOP);
```

### DEFAULT

Default vertical orientation for the title text

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var form = solutionModel.getForm("someForm");
form.borderType = solutionModel.createTitledBorder('Test',null,'#ff0000',SM_TITLEJUSTIFICATION.DEFAULT,SM_TITLEPOSITION.DEFAULT_POSITION);
```

### TOP

Title in the middle of the border's top line

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```js
var form = solutionModel.getForm("someForm");
form.borderType = solutionModel.createTitledBorder('Test',null,'#ff0000',SM_TITLEJUSTIFICATION.DEFAULT,SM_TITLEPOSITION.TOP);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/solutionmodel/titleposition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
